curl -X POST "https://api.scanova.io/page-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "My Landing Page",
"description": "A custom page.",
"blocks_json": [{ "type": "hero" }],
"theme": 7,
"accent_color": "#0077be",
"preview_bg": "#f0f8ff"
}'
{
"id": 9,
"name": "My Landing Page",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
Themes & Seitenvorlagen
Seitenvorlage erstellen
POST /page-template/
POST
/
page-template
/
curl -X POST "https://api.scanova.io/page-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "My Landing Page",
"description": "A custom page.",
"blocks_json": [{ "type": "hero" }],
"theme": 7,
"accent_color": "#0077be",
"preview_bg": "#f0f8ff"
}'
{
"id": 9,
"name": "My Landing Page",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
Speichert eine neue Seitenvorlage, auf dem Management-API-Host (
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
POST https://api.scanova.io/page-template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
erforderlich
Vorlagenname. Leere oder nur aus Leerzeichen bestehende Namen werden abgelehnt.
string
Vorlagenbeschreibung.
array
erforderlich
Der Blockinhalt der Seite — entweder eine Liste von Blöcken oder ein Dict mit einem Schlüssel
pages. Jede andere Form wird abgelehnt.integer
Eine Theme-ID, die dieser Vorlage zugeordnet wird. Wenn das Theme kein System-Theme ist, muss es Ihnen gehören.
string
Akzentfarbe, dient als Rückfalloption, wenn das verknüpfte Theme keine live auflöst.
string
Vorschau-Hintergrundfarbe, dieselbe Rückfallrolle wie
accent_color.curl -X POST "https://api.scanova.io/page-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "My Landing Page",
"description": "A custom page.",
"blocks_json": [{ "type": "hero" }],
"theme": 7,
"accent_color": "#0077be",
"preview_bg": "#f0f8ff"
}'
{
"id": 9,
"name": "My Landing Page",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
slug wird serverseitig generiert. Ein Thumbnail wird nach der Erstellung asynchron generiert — thumbnail_url startet als null und wird gefüllt, sobald dies abgeschlossen ist.
400 bei einem leeren name, einem fehlerhaften blocks_json, oder einem theme, das kein System-Theme ist und Ihnen nicht gehört.
Verwandte Themen
- Seitenvorlagen auflisten — gespeicherte Vorlagen ansehen (
?mine=true). - Seitenvorlage aktualisieren — eine bestehende bearbeiten.
- Theme erstellen — ein Theme erstellen, um es über
themezu verknüpfen. - Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Antwort
Template created.
War diese Seite hilfreich?